package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsPurpose;
import com.ruoyi.system.domain.vo.ZsPurposeVo;
import com.ruoyi.system.domain.bo.ZsPurposeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 站点产品用途管理Service接口
 *
 * @author 王强
 * @date 2025-04-29
 */
public interface IZsPurposeService {

    /**
     * 查询站点产品用途管理
     */
    ZsPurposeVo queryById(Long id);

    /**
     * 查询站点产品用途管理列表
     */
    TableDataInfo<ZsPurposeVo> queryPageList(ZsPurposeBo bo, PageQuery pageQuery);

    /**
     * 查询站点产品用途管理列表
     */
    List<ZsPurposeVo> queryList(ZsPurposeBo bo);

    /**
     * 新增站点产品用途管理
     */
    Boolean insertByBo(ZsPurposeBo bo);

    /**
     * 修改站点产品用途管理
     */
    Boolean updateByBo(ZsPurposeBo bo);

    /**
     * 校验并批量删除站点产品用途管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
